%define name	vm
%define	version	6.64
%define	release	1

Summary: Emacs VM mailer
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Editors/Emacs
Source0: ftp.uu.net:/networking/mail/vm/%{name}-%{version}.tar.gz
Source1: ftp.uu.net:/networking/mail/vm/CHANGES.gz
Source2: ftp.uu.net:/networking/mail/vm/base64-encode.c
Source3: ftp.uu.net:/networking/mail/vm/base64-decode.c
Source4: vm-init.el
Patch: vm-FSSTND.patch
Patch1: vm-emacs-20.patch
Icon: gnu.gif
Packager: Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>
Requires: emacs >= 20
BuildRoot: /tmp/%{name}-%{version}-%{release}-root

%description
VM (View Mail) is an Emacs subsystem that allows UNIX mail to be read
and disposed of within Emacs.
(This was compiled using glibc and emacs-20.3...)

%prep
%setup

%patch -p0
#%patch1 -p1

%build
make all
gcc $RPM_OPT_FLAGS -o base64-encode $RPM_SOURCE_DIR/base64-encode.c
gcc $RPM_OPT_FLAGS -o base64-decode $RPM_SOURCE_DIR/base64-decode.c

%install
install --directory --mode=0755 \
	$RPM_BUILD_ROOT/usr/share/emacs/site-lisp/vm/pixmaps \
	$RPM_BUILD_ROOT/usr/info \
	$RPM_BUILD_ROOT/usr/bin
make install prefix=$RPM_BUILD_ROOT
install --mode=0644 $RPM_SOURCE_DIR/vm-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/
install --strip --mode=0755 base64-encode base64-decode $RPM_BUILD_ROOT/usr/bin/

%clean
[ $RPM_BUILD_ROOT != '/' ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/vm.info /usr/info/dir --entry="* VM: (vm).         An Emacs mail reader (View Mail)" --section="Emacs"
cat >> /usr/share/emacs/site-lisp/site-start.el <<EOF
;; vm-start
(load "vm-init" nil t)
;; vm-end
EOF

%preun
/sbin/install-info /usr/info/vm.info --delete /usr/info/dir --entry="* VM: (vm).         An Emacs mail reader (View Mail)" --section="Emacs"

%postun
ed /usr/share/emacs/site-lisp/site-start.el <<EOF
/^;; vm-start$/,/^;; vm-end$/d
w
q
EOF


%files
%defattr(644, root, root, 755)
%doc README COPYING $RPM_SOURCE_DIR/CHANGES.gz
%doc /usr/info/*
%config /usr/share/emacs/site-lisp/vm-init.el
%dir /usr/share/emacs/site-lisp/vm/
/usr/share/emacs/site-lisp/vm/*
%attr(755, root, root) /usr/bin/base64-encode
%attr(755, root, root) /usr/bin/base64-decode

%changelog

* Sat Jan 23 1999 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [6.64-1]

- upgraded to version 6.64

* Thu Dec 17 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [6.63-1]

- upgraded to version 6.63

* Tue Aug 11 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [6.61-1]

- upgraded to version 6.61

* Tue Aug 11 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org> [6.59-1]

- added a changelog entry to the specfile
- other minor changes to the specfile
- upgraded to version 6.59
- install info file entry in system infofile.
